﻿@model ExchangeTypeViewModel
@{
    ViewBag.Title = $"ویرایش درصد سود ایکس تومن برای {Model.FromCurrencyName} به {Model.ToCurrencyName}";
    var estimatorUrl = "";
    var dollarName = "";
    if (Model.FromCurrencyType == Xtoman.Domain.Models.ECurrencyType.Shetab)
    {
        if (Model.ToCurrencyType == Xtoman.Domain.Models.ECurrencyType.PerfectMoney)
        {
            estimatorUrl = Url.Action("FiatSoldDollar", "Estimator");
            dollarName = "دلار پرفکت";
        }
        else
        {
            estimatorUrl = Url.Action("CoinSoldDollar", "Estimator");
            dollarName = "تتر بایننس";
        }
    }
}
<div class="row">
    <div class="col-6">
        <div class="box box-info">
            <div class="box-body pad" text-align: center">
                @using (Html.BeginForm("EditRatePercent", "ExchangeType", FormMethod.Post))
                {
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                    <div class="form-horizontal">
                        <div class="box-body">
                            <div class="row">
                                <div class="col-12">
                                    @Html.BsEditorFor(model => model.ExtraFeePercent, "fa fa-percent", lable_col: 3, editor_col: 9, htmlAttribute: new { type = "number", step = "0.01" })
                                </div>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary float-right">ذخیره</button>
                }
            </div>
        </div>
    </div>
    <div class="col-6">
        <div class="box box-info">
            <div class="box-body pad" text-align: center">
                <div id="estimator" class="table-responsive" style="display:none;">
                    <table class="table table-bordered">
                        <tr>
                            <th>نرخ فعلی دلار</th>
                            <td id="USDPrice"></td>
                        </tr>
                        <tr>
                            <th>قیمت تمام شده @dollarName موجود</th>
                            <td id="USDPaidPrice"></td>
                        </tr>
                        <tr>
                            <th>موجودی @dollarName</th>
                            <td id="AvailableUSD"></td>
                        </tr>
                        <tr>
                            <th>بهای تومانی موجودی</th>
                            <td id="TomanPaidFor"></td>
                        </tr>
                        <tr>
                            <th>تعداد فروش محاسبه شده آخر</th>
                            <td id="OrderCount"></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        var estimatorUrl = "@estimatorUrl";
        if (estimatorUrl && (estimatorUrl != null || estimatorUrl != "")) {
            $(document).ready(function () {
                doAjax({}, estimatorUrl, function (data) {
                    if (data) {
                        $('#USDPrice').text(data.USDPriceText);
                        $('#USDPaidPrice').text(data.USDPaidPriceText);
                        $('#AvailableUSD').text(data.AvailableUSD);
                        $('#TomanPaidFor').text(data.TomanPaidForText);
                        $('#OrderCount').text(data.OrderCount);
                        $('#estimator').show();
                    }
                });
            });
        }
    </script>
}